## org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.routineeditor.commonui
Class ParametersTableProvider

    java.lang.Object
      org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.routineeditor.commonui.ParametersTableProvider

All Implemented Interfaces:
  ICompositeProvider

    public class ParametersTableProvider

extends java.lang.Object
implements ICompositeProvider

Parameter section for stored procedures

Author:
  Hui Cao

Field Summary

Fields inherited from interface org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.routineeditor.commonui.ICompositeProvider
`BORDER, GROUP, NONE`

Constructor Summary
`ParametersTableProvider()`
`ParametersTableProvider(boolean useGroup)`
`ParametersTableProvider(boolean useGroup, boolean enforcePrefix)`
`ParametersTableProvider(boolean useGroup, boolean enforcePrefix, boolean supportsExp)`

Method Summary
`org.eclipse.swt.widgets.Composite` `createTheTable(org.eclipse.swt.widgets.Composite parent)`
`void` `enableTable(boolean status)` Enable/disable the parameters table.
`void` `focus()` Set the focus onto table cursor for editing.
`ParametersData` `geData()`
`org.eclipse.swt.widgets.Composite` `getComposite(org.eclipse.swt.widgets.Composite parent, org.eclipse.ui.forms.widgets.FormToolkit formToolkit, int style)` return the visible part of this section and change the part's parent according to the parameter.
`org.eclipse.swt.widgets.Table` `getTable()` Returns the table widget.
`AccessibleTableViewer` `getViewer()`
`void` `persistToDataModel(ParametersRowData row, int columnIndex, java.lang.Object obj)` Save data from UI back to Model.
`void` `setData(ParametersData data)`
`void` `setDataTypes(java.lang.String[] types)`
`boolean` `setFocus()`
`void` `setInOutItems(java.lang.String[] inOutItems)`
`void` `updateInOutField()` When using different types of syntax, the INOUT field may have different options.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParametersTableProvider

    public ParametersTableProvider()

### ParametersTableProvider

    public ParametersTableProvider(boolean useGroup)

Parameters:
  `_useGroup` - whether to use group

### ParametersTableProvider

    public ParametersTableProvider(boolean useGroup,
                                   boolean enforcePrefix)

Parameters:
  `_useGroup` - whether to use group
  `enforcePrefix` - Sets whether the parameter name must be prefixed by a "@" character.

### ParametersTableProvider

    public ParametersTableProvider(boolean useGroup,
                                   boolean enforcePrefix,
                                   boolean supportsExp)

Parameters:
  `_useGroup` - whether to use group
  `enforcePrefix` - Sets whether the parameter name must be prefixed by a "@" character.

Method Detail

### createTheTable

    public org.eclipse.swt.widgets.Composite createTheTable(org.eclipse.swt.widgets.Composite parent)

### getComposite

    public org.eclipse.swt.widgets.Composite getComposite(org.eclipse.swt.widgets.Composite parent,
                                                          org.eclipse.ui.forms.widgets.FormToolkit formToolkit,
                                                          int style)

  Description copied from interface: `ICompositeProvider`
  return the visible part of this section and change the part's parent according to the parameter. The layout of the parent should be GridLayout

  Specified by:
    `getComposite` in interface `ICompositeProvider`
  Parameters:
    `parent` - the new parent of the returned object
    `formToolkit` - the form tool kit used to create widgets, could be null
    `style` - style flag to customize the composite
  Returns:

### getTable

    public org.eclipse.swt.widgets.Table getTable()

  Returns the table widget. Caution: might be null

  Returns:

### setFocus

    public boolean setFocus()

### enableTable

    public void enableTable(boolean status)

  Enable/disable the parameters table.

  Parameters:
    `status` -

### setInOutItems

    public void setInOutItems(java.lang.String[] inOutItems)

### setDataTypes

    public void setDataTypes(java.lang.String[] types)

### updateInOutField

    public void updateInOutField()

  When using different types of syntax, the INOUT field may have different options.

### persistToDataModel

    public void persistToDataModel(ParametersRowData row,
                                   int columnIndex,
                                   java.lang.Object obj)

  Save data from UI back to Model. Notice that we use 'updateValueWithoutNotification' method here. This method updates the value of given column, but will not notify the listeners. Thus, we can keep the 'WARNNING' status message.

  Parameters:
    `itemIndex` -
    `columnIndex` -
    `obj` -

### focus

    public void focus()

  Set the focus onto table cursor for editing.

### geData

    public ParametersData geData()

### setData

    public void setData(ParametersData data)

### getViewer

    public AccessibleTableViewer getViewer()